libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__block_open_offset(
        mpq_archive_s  *mpq_archive,
        uint32_t        file_number
);

DESCRIPTION

Call libmpq__block_open_offset() to open the block offset table for the given file. It will open the block offset table regardless of compression (compressed, imploded or stored) type of file.

The libmpq__block_open_offset() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument file_number is the number of file to open.

RETURN VALUE
On success, a zero is returned and on error one of the following constants.

LIBMPQ_ERROR_EXIST
    File or block does not exist in archive.

LIBMPQ_ERROR_SEEK
    Seeking in file failed.

LIBMPQ_ERROR_MALLOC
    Not enough memory for creating required structures.

LIBMPQ_ERROR_READ
    Reading in archive failed.

LIBMPQ_ERROR_DECRYPT
    Decrypting block failed.

SEE ALSO
libmpq__block_close_offset(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.